# MSP::CCS::MercatorScaleFactorParameters Class Reference

`#include <MercatorScaleFactorParameters.h>`

Inheritance diagram for MSP::CCS::MercatorScaleFactorParameters:

List of all members.

## Public Member Functions

| MercatorScaleFactorParameters ()
| MercatorScaleFactorParameters (CoordinateType::Enum _coordinateType)
| MercatorScaleFactorParameters (CoordinateType::Enum _coordinateType, double __centralMeridian, double __scaleFactor, double __falseEasting, double __falseNorthing)
| MercatorScaleFactorParameters (const MercatorScaleFactorParameters &p)
| ~MercatorScaleFactorParameters ()
MercatorScaleFactorParameters & | operator= (const MercatorScaleFactorParameters &p)
void | setCentralMeridian (double __centralMeridian)
void | setScaleFactor (double __scaleFactor)
void | setFalseEasting (double __falseEasting)
void | setFalseNorthing (double __falseNorthing)
double | centralMeridian () const
double | scaleFactor () const
double | falseEasting () const
double | falseNorthing () const

## Detailed Description

Definition at line 13 of file MercatorScaleFactorParameters.h.

## Constructor & Destructor Documentation

MercatorScaleFactorParameters::MercatorScaleFactorParameters | ( |  | ) |

Definition at line 9 of file MercatorScaleFactorParameters.cpp.

MercatorScaleFactorParameters::MercatorScaleFactorParameters | ( | CoordinateType::Enum | _coordinateType | ) |

Definition at line 19 of file MercatorScaleFactorParameters.cpp.

MercatorScaleFactorParameters::MercatorScaleFactorParameters | ( | CoordinateType::Enum | _coordinateType,
|  | double | __centralMeridian,
|  | double | __scaleFactor,
|  | double | __falseEasting,
|  | double | __falseNorthing |
| ) |  |  |

Definition at line 29 of file MercatorScaleFactorParameters.cpp.

MercatorScaleFactorParameters::MercatorScaleFactorParameters | ( | const MercatorScaleFactorParameters & | p | ) |

Definition at line 39 of file MercatorScaleFactorParameters.cpp.

MercatorScaleFactorParameters::~MercatorScaleFactorParameters | ( |  | ) |

Definition at line 50 of file MercatorScaleFactorParameters.cpp.

## Member Function Documentation

double MercatorScaleFactorParameters::centralMeridian | ( |  | ) | const

Definition at line 99 of file MercatorScaleFactorParameters.cpp.

double MercatorScaleFactorParameters::falseEasting | ( |  | ) | const

Definition at line 111 of file MercatorScaleFactorParameters.cpp.

double MercatorScaleFactorParameters::falseNorthing | ( |  | ) | const

Definition at line 117 of file MercatorScaleFactorParameters.cpp.

MercatorScaleFactorParameters & MercatorScaleFactorParameters::operator= | ( | const MercatorScaleFactorParameters & | p | ) |

Reimplemented from MSP::CCS::CoordinateSystemParameters.

Definition at line 59 of file MercatorScaleFactorParameters.cpp.

double MercatorScaleFactorParameters::scaleFactor | ( |  | ) | const

Definition at line 105 of file MercatorScaleFactorParameters.cpp.

void MercatorScaleFactorParameters::setCentralMeridian | ( | double | __centralMeridian | ) |

Definition at line 75 of file MercatorScaleFactorParameters.cpp.

void MercatorScaleFactorParameters::setFalseEasting | ( | double | __falseEasting | ) |

Definition at line 87 of file MercatorScaleFactorParameters.cpp.

void MercatorScaleFactorParameters::setFalseNorthing | ( | double | __falseNorthing | ) |

Definition at line 93 of file MercatorScaleFactorParameters.cpp.

void MercatorScaleFactorParameters::setScaleFactor | ( | double | __scaleFactor | ) |

Definition at line 81 of file MercatorScaleFactorParameters.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystemParameters/MercatorScaleFactorParameters.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystemParameters/MercatorScaleFactorParameters.cpp